Subject: Re: bug#49285: 28.0.50; problems loading https://wikipedia.org with eww

From: Eli Zaretskii <[email-masked]>
Date: Thu, 01 Jul 2021 09:24:38 +0300

[Please keep the bug address on the CC list.]

> From: PEDRO ANDRES ARANDA GUTIERREZ <[email-masked]>
> Date: Thu, 1 Jul 2021 07:48:42 +0200
> 
> Hi Eli
> 
> > El 30 jun 2021, a las 13:37, Eli Zaretskii <[email-masked]> escribió:
> > 
> >> From: PEDRO ANDRES ARANDA GUTIERREZ <[email-masked]>
> >> Date: Wed, 30 Jun 2021 08:11:32 +0200
> >> 
> >> After installing, I start emacs with the App Icon.
> >> 
> >> M-x eww
> >> https://wikipedia.org
> >> 
> >> Emacs waits forever and doesn't load anything.
> 
> Let’s go step by step, because it seems it is even more weird than I thought. Or, at least,
> it looks like I’m doing something wrong I’m not aware of.
> 
> Let’s start by the easy questions “Installing” means dragging the App bundle to /Applications after Emcs is built,
> 
> > Does "After installing" mean that you had a previous build which did
> > work?  If so, what version of Emacs was that?  If that was a build of
> > the master branch (i.e. Emacs 28.0.50) as well, can you tell on what
> > date did you update from Git before building that previous version?
> 
> 
> Yes, I try to keep an updated working version to work with. Now that the lectures are over, I work less and
> compile more ;-) I use Emacs for LaTEX/org in documents and presentations and Python/Bash/C for programming tasks.
> 
> Now the weird things. 
> This “eww hanging on a freshly compiled Emacs.app” experience is something 
> that I have stumbled upon around the 20th of June. I was not aware of anything like that before.
> I had a couple of nasty weeks where I wasn’t able to refresh my packages or regenerate my .emacs.d/elpa
> directory, but that has not been the case for the last semester or so.
> 
> Today I have seen that I need to restart my Mac before usingthe freshly compiled Emacs.app
> 
> In fact, when I was having problems with the packages I was not able to do anything related with GNUTLS. 
> BTW, I’m using the latest GNUTLS 3.6. I compile myself using the Rudix package manager, 
> To check that GNUTLS is built correctly I compile and use wget, lftp and other programs from Rudix.
> If I can ‘wget -O - https://wikipedia.org' <https://wikipedia.org'/> I assume that the GNUTLS infrastructure is correctly installed.
> 
> Maybe I need to refine my testing procedure(suggestiosn, tips welcome). I’ll continue investigating and report back.

Thanks.

While you dig deeper into this issue, please try to figure out what
has changed since the last version which didn't have these problems.
Did only Emacs change?  Did you compile GnuTLS anew?  Did you update
your OS and/or some of its libraries relevant to this scenario?
Understanding what could be part of the issue is important for the
investigation.